Ytsaurus API, REST: Cluster.Get
- HTTP request
- Path parameters
- Response
- ClusterSpec
- StorageSpec
- HddSpec
- SsdSpec
- Changelogs
- ComputeSpec
- DiskSpec
- ScalePolicy
- FixedScale
- AutoScale
- LinearScalingStrategy
- TabletSpec
- ProxySpec
- HttpProxySpec
- RpcProxySpec
- TaskProxySpec
- OdinSpec
- CronSpec
- ClearTmpCronSpec
- ClientLogging
- ExcelSpec
- CidrBlocks
- Endpoints
- MaintenanceWindow
- WeeklyMaintenanceWindow
Returns the specified cluster.
HTTP request
GET https://ytsaurus.api.cloud.yandex.net/ytsaurus/v1/clusters/{clusterId}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to return. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"zoneId": "string",
"name": "string",
"description": "string",
"labels": "object",
"subnetId": "string",
"securityGroupIds": [
"string"
],
"spec": {
"storage": {
"hdd": {
"sizeGb": "string",
"count": "string"
},
"ssd": {
"sizeGb": "string",
"type": "string",
"count": "string",
"changelogs": {
"sizeGb": "string"
}
}
},
"compute": [
{
"preset": "string",
"disks": [
{
"type": "string",
"sizeGb": "string",
"locations": [
"string"
],
"locationQuotasGb": [
"string"
]
}
],
"scalePolicy": {
// Includes only one of the fields `fixed`, `auto`
"fixed": {
"size": "string"
},
"auto": {
"minSize": "string",
"maxSize": "string",
"initialSize": "string",
// Includes only one of the fields `linear`
"linear": {
"cooldownInterval": "string",
"statisticsInterval": "string",
"overloadCoefficient": "string",
"underloadCoefficient": "string"
}
// end of the list of possible fields
}
// end of the list of possible fields
},
"name": "string"
}
],
"tablet": {
"preset": "string",
"count": "string"
},
"proxy": {
"http": {
"count": "string"
},
"rpc": {
"count": "string"
},
"task": {
"count": "string"
}
},
"odin": {
"checksTtl": "string"
},
"flavor": "string",
"cron": {
"clearTmp": {
"interval": "string",
"accountUsageRatioSaveTotal": "string",
"accountUsageRatioSavePerOwner": "string",
"maxDirNodeCount": "string"
}
},
"clientLogging": {
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"serviceAccountId": "string",
"auditLogsEnabled": "boolean"
},
"excel": {
"enabled": "boolean"
}
},
"createdAt": "string",
"createdBy": "string",
"updatedAt": "string",
"updatedBy": "string",
"cidrBlocksWhitelist": {
"v4CidrBlocks": [
"string"
]
},
"status": "string",
"health": "string",
"endpoints": {
"ui": "string",
"externalHttpProxyBalancer": "string",
"internalHttpProxyAlias": "string",
"internalRpcProxyAlias": "string"
},
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
}
}
|
Field |
Description |
|
id |
string ID of the cluster. Generated at creation time. |
|
folderId |
string ID of the folder that the cluster belongs to. |
|
zoneId |
string ID of the availability zone where the cluster resides. |
|
name |
string Name of the cluster. |
|
description |
string Description of the cluster. |
|
labels |
object (map<string, string>) Cluster labels as |
|
subnetId |
string ID of the subnet where the cluster resides. |
|
securityGroupIds[] |
string Network interfaces security groups. |
|
spec |
Cluster specification. |
|
createdAt |
string (date-time) Time when the cluster was created. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string User who created the cluster. |
|
updatedAt |
string (date-time) Time when the cluster was last updated. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updatedBy |
string User who last updated the cluster. |
|
cidrBlocksWhitelist |
CIDRs whitelist. |
|
status |
enum (Status) Status of the cluster.
|
|
health |
enum (Health) Health of the cluster.
|
|
endpoints |
Endpoints of the cluster. |
|
maintenanceWindow |
Maintenance window of the cluster. |
ClusterSpec
|
Field |
Description |
|
storage |
Cluster storage configuration. |
|
compute[] |
Cluster exec nodes configuration. |
|
tablet |
Cluster tablet nodes configuration. |
|
proxy |
Cluster proxies configuration. |
|
odin |
Odin configuration. |
|
flavor |
enum (Flavor) Cluster flavor (type).
|
|
cron |
Cluster regular processing settings. |
|
clientLogging |
Client Cloud logging configuration. |
|
excel |
Cluster Excel configuration. |
StorageSpec
|
Field |
Description |
|
hdd |
Configuration of cluster HDD strorage. |
|
ssd |
Configuration of cluster SSD strorage |
HddSpec
|
Field |
Description |
|
sizeGb |
string (int64) Size of a single HDD disk in GB. |
|
count |
string (int64) Total amount of HDD disks. |
SsdSpec
|
Field |
Description |
|
sizeGb |
string (int64) Size of a single SSD disk in GB. |
|
type |
string Type of a SSD disk. |
|
count |
string (int64) Total amount of SSD disks. |
|
changelogs |
Configuration of dynamic table changelogs. |
Changelogs
|
Field |
Description |
|
sizeGb |
string (int64) Size of changelogs disk in GB. |
ComputeSpec
|
Field |
Description |
|
preset |
string VM configuration preset name. |
|
disks[] |
Configuration of exec node strorage. |
|
scalePolicy |
Exec nodes scaling policy. |
|
name |
string Name for exec pool. |
DiskSpec
|
Field |
Description |
|
type |
string Type of a disk. |
|
sizeGb |
string (int64) Size of a single disk in GB. |
|
locations[] |
string Locations on a disk. |
|
locationQuotasGb[] |
string (int64) Quotas for each location. Must be the same length as locations or empty. Zero value will disable quota for location. |
ScalePolicy
|
Field |
Description |
|
fixed |
Scale policy that doesn't change number of running exec nodes over time. Includes only one of the fields |
|
auto |
Scale policy that can adjust number of running exec nodes within specified range based on some criteria. Includes only one of the fields |
FixedScale
|
Field |
Description |
|
size |
string (int64) Amount of exec nodes. |
AutoScale
|
Field |
Description |
|
minSize |
string (int64) Minimal amount of exec nodes. |
|
maxSize |
string (int64) Maximum amount of exec nodes. |
|
initialSize |
string (int64) Initial amount of exec nodes. |
|
linear |
Linear scaling strategy. Includes only one of the fields |
LinearScalingStrategy
|
Field |
Description |
|
cooldownInterval |
string (duration) Cooldown interval. |
|
statisticsInterval |
string (duration) Statistics interval. |
|
overloadCoefficient |
string Overload coefficient. |
|
underloadCoefficient |
string Underload coefficient. |
TabletSpec
|
Field |
Description |
|
preset |
string VM configuration preset name. |
|
count |
string (int64) Total amount of tablet nodes. |
ProxySpec
|
Field |
Description |
|
http |
Configuration of HTTP proxies. |
|
rpc |
Configuration of rpc proxies. |
|
task |
Configuration of task proxies. |
HttpProxySpec
|
Field |
Description |
|
count |
string (int64) Total amount of HTTP proxies. |
RpcProxySpec
|
Field |
Description |
|
count |
string (int64) Total amount of RPC proxies. |
TaskProxySpec
|
Field |
Description |
|
count |
string (int64) Total amount of task proxies. |
OdinSpec
|
Field |
Description |
|
checksTtl |
string (duration) TTL of Odin check samples. |
CronSpec
|
Field |
Description |
|
clearTmp |
Cluster regular tmp-account cleaning settings. |
ClearTmpCronSpec
|
Field |
Description |
|
interval |
string (duration) Script starting interval. |
|
accountUsageRatioSaveTotal |
string Total max space usage ratio. |
|
accountUsageRatioSavePerOwner |
string Per account max space usage ratio. |
|
maxDirNodeCount |
string (int64) Max nodes in every directory. |
ClientLogging
|
Field |
Description |
|
logGroupId |
string ID of cloud logging group. Includes only one of the fields Destination of cloud logging group. |
|
folderId |
string ID of cloud logging folder. Used default loging group. Includes only one of the fields Destination of cloud logging group. |
|
serviceAccountId |
string ID of Service account used for write logs. |
|
auditLogsEnabled |
boolean Enable audit logs. |
ExcelSpec
|
Field |
Description |
|
enabled |
boolean Enable Excel. |
CidrBlocks
|
Field |
Description |
|
v4CidrBlocks[] |
string IPv4 CIDR blocks. |
Endpoints
|
Field |
Description |
|
ui |
string https://CID.ytsaurus.yandexcloud.net. |
|
externalHttpProxyBalancer |
string https://proxy.CID.ytsaurus.yandexcloud.net. |
|
internalHttpProxyAlias |
string https://hp.CID.ytsaurus.mdb.yandexcloud.net:PORT. |
|
internalRpcProxyAlias |
string rp.CID.ytsaurus.mdb.yandexcloud.net:PORT |
MaintenanceWindow
|
Field |
Description |
|
anytime |
object Maintenance can be scheduled anytime. Includes only one of the fields |
|
weeklyMaintenanceWindow |
Maintenance is allowed only within the specified weekly window. Includes only one of the fields |
WeeklyMaintenanceWindow
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week when maintenance can occur.
|
|
hour |
string (int64) Hour of the day in UTC when the maintenance window starts. Acceptable values are 1 to 24, inclusive. |